SoTextureCoordinateBinding(3)

NAME
SoTextureCoordinateBinding - The SoTextureCoordinateBinding class says how texture coordinates should be bound to shapes.

SYNOPSIS

#include <Inventor/nodes/SoTextureCoordinateBinding.h>

Inherits SoNode.

  Public Types
enum Binding { PER_VERTEX = SoTextureCoordinateBindingElement::PER_VERTEX, PER_VERTEX_INDEXED = SoTextureCoordinateBindingElement::PER_VERTEX_INDEXED, DEFAULT = PER_VERTEX_INDEXED }

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextureCoordinateBinding (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void pick (SoPickAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

  Public Attributes
SoSFEnum value

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTextureCoordinateBinding ()
virtual SbBool readInstance (SoInput *in, unsigned short flags)

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTextureCoordinateBinding class says how texture coordinates should be bound to shapes. SoTextureCoordinateBinding binds current coordinates to subsequent shapes by using either per vertex or per indexed vertex binding.

FILE FORMAT/DEFAULTS:

TextureCoordinateBinding {
    value PER_VERTEX_INDEXED
}

Member Enumeration Documentation

  enum SoTextureCoordinateBinding::Binding
The binding types available for the SoTextureCoordinateBinding::value field.

Enumerator

PER_VERTEX
    Get a new texture coordinate from the pool of texture coordinates for each vertex of the shape.

Texture Coordinates are fetched from index 0 and onwards, incrementing the index into the texture coordinates pool by 1 for each new vertex of the shape node.

PER_VERTEX_INDEXED
    Get a new texture coordinate from the pool of texture coordinates for each vertex of the shape.

Texture coordinates are fetched by the index value settings of the shape.

DEFAULT
    Obsolete value, please don't use.

Constructor & Destructor Documentation

  SoTextureCoordinateBinding::SoTextureCoordinateBinding (void)
Constructor.

  SoTextureCoordinateBinding::~SoTextureCoordinateBinding () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureCoordinateBinding::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTextureCoordinateBinding::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTextureCoordinateBinding::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTextureCoordinateBinding::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoTextureCoordinateBinding::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTextureCoordinateBinding::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoTextureCoordinateBinding::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTextureCoordinateBinding::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  SbBool SoTextureCoordinateBinding::readInstance (SoInput * in, unsigned short flags) [protected], [virtual]
This method is mainly intended for internal use during file import operations.

It reads a definition of an instance from the input stream in. The input stream state points to the start of a serialized / persistent representation of an instance of this class type.

TRUE or FALSE is returned, depending on if the instantiation and configuration of the new object of this class type went OK or not. The import process should be robust and handle corrupted input streams by returning FALSE.

flags is used internally during binary import when reading user extension nodes, group nodes or engines.

Reimplemented from SoNode.

Member Data Documentation

  SoSFEnum SoTextureCoordinateBinding::value
Type of texture map binding for subsequent shape nodes in the scene graph. Default field value is SoTextureCoordinateBinding::PER_VERTEX_INDEXED.

Author

Generated automatically by Doxygen for Coin from the source code.